//-------------------------------------------------------------------------------------------------
// <copyright file="IBurnCacheEngine.h" company="Microsoft">
//    Copyright (c) Microsoft Corporation.  All rights reserved.
//    
//    The use and distribution terms for this software are covered by the
//    Common Public License 1.0 (http://opensource.org/licenses/cpl.php)
//    which can be found in the file CPL.TXT at the root of this distribution.
//    By using this software in any fashion, you are agreeing to be bound by
//    the terms of this license.
//    
//    You must not remove this notice, or any other, from this software.
// </copyright>
//-------------------------------------------------------------------------------------------------

#pragma once

interface IBurnPayload; // forward declare.
interface IBurnView;

DECLARE_INTERFACE_IID_(IBurnCacheEngine, IUnknown, "e1e09b88-3fca-11dd-8291-001d09081dd9")
{
    STDMETHOD(CachePayload)(
        __in_opt IBurnPackage* pPackage,
        __in IBurnPayload* pPayload,
        __in IBurnView* pView
        ) PURE;

    STDMETHOD(Complete)(
        __in_opt IBurnPackage* pPackage,
        __in IBurnPayload* pPayload,
        __in IBurnView* pView
        ) PURE;
};


HRESULT BurnCreateExtractEngine(
    __out IBurnCacheEngine **ppEngine
    );


HRESULT BurnCreateDownloadEngine(
    __out IBurnCacheEngine** ppEngine
    );
