//-------------------------------------------------------------------------------------------------
// <copyright file="IBurnExePackage.h" company="Microsoft">
//    Copyright (c) Microsoft Corporation.  All rights reserved.
//    
//    The use and distribution terms for this software are covered by the
//    Common Public License 1.0 (http://opensource.org/licenses/cpl.php)
//    which can be found in the file CPL.TXT at the root of this distribution.
//    By using this software in any fashion, you are agreeing to be bound by
//    the terms of this license.
//    
//    You must not remove this notice, or any other, from this software.
// </copyright>
//-------------------------------------------------------------------------------------------------

#pragma once

enum BURN_EXE_EXIT_CODE_TYPE
{
    BURN_EXE_EXIT_CODE_TYPE_NONE,
    BURN_EXE_EXIT_CODE_TYPE_SUCCESS,
    BURN_EXE_EXIT_CODE_TYPE_ERROR,
    BURN_EXE_EXIT_CODE_TYPE_SCHEDULE_REBOOT,
    BURN_EXE_EXIT_CODE_TYPE_FORCE_REBOOT,
};


struct BURN_EXE_PACKAGE_EXIT_INFO
{
    BURN_EXE_EXIT_CODE_TYPE type;
    DWORD dwCode;
    BOOL fWildcard;
};


DECLARE_INTERFACE_IID_(IBurnExePackage, IBurnPackage, "e1e09b86-3fca-11dd-8291-001d09081dd9")
{
    STDMETHOD_(BOOL, IsRepairAllowed)() PURE;

    STDMETHOD(GetDetectCondition)(
        __out LPWSTR* psczDetectCondition
        ) PURE;

    STDMETHOD(GetExitInfo)(
        __in DWORD dwIndex,
        __out BURN_EXE_EXIT_CODE_TYPE* pType,
        __out DWORD* pdwExitCode,
        __out BOOL* pfWildcard
        ) PURE;

    STDMETHOD_(DWORD, ExitInfoCount)() PURE;

    STDMETHOD(GetInstallSwitch)(
        __out LPWSTR* psczInstallSwitch
        ) PURE;

    STDMETHOD(GetProgressSwitch)(
        __out LPWSTR* psczProgressSwitch
        ) PURE;

    STDMETHOD(GetUninstallSwitch)(
        __out LPWSTR* psczUninstallSwitch
        ) PURE;
};


HRESULT BurnCreateExePackage(
    __in_z LPCWSTR wzId,
    __in_z LPCWSTR wzProductCode,
    __in DWORD64 qwVersion,
    __in BOOL fPerMachine,
    __in_z_opt LPCWSTR wzDetectCondition,
    __in_z LPCWSTR wzInstallArgs,
    __in_z_opt LPCWSTR wzRepairArgs,
    __in_z_opt LPCWSTR wzUninstallArgs,
    __in DWORD cExitInfos,
    __in_ecount(cExitInfos) BURN_EXE_PACKAGE_EXIT_INFO* rgExitInfo,
    __in DWORD cPayloads,
    __in_ecount_opt(cPayloads) IBurnPayload** rgpPayloads,
    __in_opt IBurnProperties* pProperties,
    __out IBurnExePackage** ppPackage
    );
