//-------------------------------------------------------------------------------------------------
// <copyright file="msiwork.cpp" company="Microsoft">
//    Copyright (c) Microsoft Corporation.  All rights reserved.
//    
//    The use and distribution terms for this software are covered by the
//    Common Public License 1.0 (http://opensource.org/licenses/cpl.php)
//    which can be found in the file CPL.TXT at the root of this distribution.
//    By using this software in any fashion, you are agreeing to be bound by
//    the terms of this license.
//    
//    You must not remove this notice, or any other, from this software.
// </copyright>
//
// <summary>
// MSI Package worker operations for setup stub executable.
// </summary>
//-------------------------------------------------------------------------------------------------

#pragma once


extern "C" HRESULT BurnMsiDetect(
    __in REFGUID guidProductCode,
    __out PACKAGE_STATE* pState,
    __out DWORD64* pqwVersion
    );
extern "C" HRESULT BurnMsiPlan(
    __in PACKAGE_STATE CurrentState,
    __in DWORD64 qwInstalledVersion,
    __in DWORD64 qwVersion,
    __in PACKAGE_STATE RequestedState,
    __out ACTION_STATE* pExecuteAction,
    __out ACTION_STATE* pRollbackAction
    );

HRESULT ExtractMsi(
    __in SETUP_INSTALL_PACKAGE* pPackage,
    __out LPWSTR* ppwzTempMsiPath
    );
HRESULT DetectMsi(
    __in REFGUID guidProductCode,
    __in DWORD64 qwVersion,
    __in BOOL fRepair,
    __in PACKAGE_STATE requested,
    __in PACKAGE_STATE expected,
    __out PACKAGE_STATE* pCurrent,
    __out ACTION_STATE* pExecuteAction,
    __out ACTION_STATE* pRollbackAction
    );
HRESULT DetectMsiFeature(
    __in REFGUID guidProductCode,
    __in PACKAGE_STATE packageState,
    __in LPCWSTR wzFeature,
    __in BOOL fRepair,
    __in FEATURE_STATE requested,
    __in FEATURE_STATE expected,
    __out FEATURE_STATE* pCurrent,
    __out FEATURE_ACTION* pExecuteAction,
    __out FEATURE_ACTION* pRollbackAction
    );
HRESULT CacheMsi(
    __in SETUP_INSTALL_PACKAGE* pPackage,
    __in LPCWSTR wzTempMsiPath,
    __in BOOL bAllUsers,
    __out LPWSTR* ppwzCachedMsiPath
    );
HRESULT ConfigureMsi(
    __in SETUP_ENGINE_INFORMATION *pSetupUXInformation,
    __in DWORD dwPackageIndex,
    __in REFGUID guidProductCode,
    __in_opt LPCWSTR wzMsiPath,
    __in LPCWSTR wzMsiInstallArgs,
    __in ACTION_STATE action,
    __in MSI_UI_LEVEL uiLevel,
    __out LPDWORD pdwReturnCode
    );
HRESULT ExtractMst(
    __in SETUP_INSTALL_TRANSFORM* pTransform,
    __out LPWSTR* ppwzTempMstPath
    );
