//-------------------------------------------------------------------------------------------------
// <copyright file="precomp.h" company="Microsoft">
//    Copyright (c) Microsoft Corporation.  All rights reserved.
//    
//    The use and distribution terms for this software are covered by the
//    Common Public License 1.0 (http://opensource.org/licenses/cpl.php)
//    which can be found in the file CPL.TXT at the root of this distribution.
//    By using this software in any fashion, you are agreeing to be bound by
//    the terms of this license.
//    
//    You must not remove this notice, or any other, from this software.
// </copyright>
// 
// <summary>
//    Precompiled header for setup chainer/bootstrapper core.
// </summary>
//-------------------------------------------------------------------------------------------------

#pragma once

#include <windows.h>
#include <math.h>
#include <msi.h>
#include <msiquery.h>
#include <objbase.h>
#include <shlobj.h>
#include <shlwapi.h>
#include <stdlib.h>
#include <strsafe.h>
#include <wininet.h>
#include <intsafe.h>

#include "dutil.h"
#include "buffutil.h"
#include "cabutil.h"
#include "memutil.h"
#include "dirutil.h"
#include "fileutil.h"
#include "inetutil.h"
#include "logutil.h"
#include "pathutil.h"
#include "resrutil.h"
#include "strutil.h"
#include "uriutil.h"
#include "wiutil.h"
#include "xmlutil.h"

#include "UnknownImpl.h"

#include "IBurnCore.h"
#include "IBurnUserExperience.h"
#include "IInstallationAbstractionLayer.h"

#include "IBurnProperties.h"
#include "IBurnPackage.h"
#include "IBurnPayload.h"
#include "IBurnExePackage.h"
#include "IBurnMsiPackage.h"
#include "IBurnCacheEngine.h"
#include "IBurnExecuteEngine.h"
#include "IBurnModel.h"
#include "IBurnView.h"
#include "IBurnController.h"

#include "BurnPackageBase.h"
#include "BurnCacheServices.h"

#include "setup.h"
#include "core.h"

#include "variant.h"
#include "property.h"
#include "condition.h"
#include "search.h"
#include "elevation.h"
#include "manifest.h"
#include "payloads.h"
