//-------------------------------------------------------------------------------------------------
// <copyright file="BurnPropertiesTestShim.h" company="Microsoft">
//    Copyright (c) Microsoft Corporation.  All rights reserved.
//    
//    The use and distribution terms for this software are covered by the
//    Common Public License 1.0 (http://opensource.org/licenses/cpl.php)
//    which can be found in the file CPL.TXT at the root of this distribution.
//    By using this software in any fashion, you are agreeing to be bound by
//    the terms of this license.
//    
//    You must not remove this notice, or any other, from this software.
// </copyright>
//-------------------------------------------------------------------------------------------------

#pragma once

namespace MS
{
namespace Tools
{
namespace WindowsInstallerXml
{
namespace Test
{
namespace Bootstrapper
{
    public ref class BurnPropertiesTestShim
    {
    public:
        __int64 GetNumericValueByName(String^ name);

        String^ GetStringValueByName(String^ name);

        unsigned __int64 GetVersionValueByName(String^ name);

        String^ GetFormattedValueByName(String^ name);

        void SetNumeric(String^ name, __int64 value);

        void SetString(String^ name, String^ value);

        void SetVersion(String^ name, unsigned __int64 value);

        String^ FormatString(String^ in);

        String^ EscapeString(String^ in);

        bool EvaluateCondition(String^ expr);

    public:
        BurnPropertiesTestShim();

        ~BurnPropertiesTestShim();

        !BurnPropertiesTestShim();

    private:
        void Destroy();

    internal:
        BurnPropertiesTestShim(IBurnProperties* pProperties);

    internal:
        IBurnProperties* m_pProperties;
    };
}
}
}
}
}
